CppUnit project page | FAQ

Public Member Functions | Private Member Functions | Private Attributes | List of all members
ProtectorGuard Class Reference

Scoped protector push to TestResult. More...

`#include <Protector.h>`

Collaboration diagram for ProtectorGuard:
[legend]

## Public Member Functions
| ProtectorGuard (TestResult *result, Protector *protector)
| Pushes the specified protector. More...
| ~ProtectorGuard ()
| Pops the protector. More...

## Private Member Functions
| ProtectorGuard (const ProtectorGuard &)
ProtectorGuard & | operator= (const ProtectorGuard &)

## Private Attributes
TestResult * | m_result

## Detailed Description

Scoped protector push to TestResult.

Adds the specified Protector to the specified TestResult for the object life-time.

## Constructor & Destructor Documentation

## ◆ ProtectorGuard() [1/2]

ProtectorGuard::ProtectorGuard | ( | TestResult * | result,
|  | Protector * | protector
| ) |  |

Pushes the specified protector.

## ◆ ~ProtectorGuard()

ProtectorGuard::~ProtectorGuard | ( |  | ) |

Pops the protector.

## ◆ ProtectorGuard() [2/2]

ProtectorGuard::ProtectorGuard | ( | const ProtectorGuard & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

ProtectorGuard & ProtectorGuard::operator= | ( | const ProtectorGuard & |  | ) |
| private

## Member Data Documentation

## ◆ m_result

TestResult* ProtectorGuard::m_result
| private

The documentation for this class was generated from the following files:

- Protector.h
- Protector.cpp

| Send comments to: CppUnit Developers